org.cpsolver.studentsct.report

## Class RequestGroupTable

- java.lang.Object
- - org.cpsolver.studentsct.report.RequestGroupTable

- All Implemented Interfaces:
    StudentSectioningReport

      public class RequestGroupTable
      extends Object
      implements StudentSectioningReport

  This reports lists all request groups (including course name and group name) and the current spreads. For each group, the current average spread (see `RequestGroup.getAverageSpread(Assignment)`) is listed together with all the classes that the students of the group are enrolled into and their spreads (see `RequestGroup.getSectionSpread(Assignment, Section)`).
  The average spread corresponds with the probability of two students of the group to attend the same section. The section spread is a break down of the average spread by each section.
  Version:
    StudentSct 1.3 (Student Sectioning)
    Copyright (C) 2015 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestGroupTable(StudentSectioningModel model)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CSVFile` | `create(Assignment<Request,Enrollment> assignment, DataProperties properties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestGroupTable

          public RequestGroupTable(StudentSectioningModel model)

      Constructor
      Parameters:
        `model` - student sectioning model

  - ### Method Detail

    - #### create

          public CSVFile create(Assignment<Request,Enrollment> assignment,
                                DataProperties properties)

      Specified by:
        `create` in interface `StudentSectioningReport`